Search for valid

  1. Search 7.x for valid
  2. Search 9.5.x for valid
  3. Search 8.9.x for valid
  4. Search 10.3.x for valid
  5. Search 11.x for valid
  6. Other projects
Title Object type File name Summary
UrlHelperTest::providerTestInvalidRelativeData function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for testInvalidRelative().
UrlHelperTest::providerTestValidAbsoluteData function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Data provider for testValidAbsolute().
UrlHelperTest::providerTestValidRelativeData function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Provides data for testValidRelative().
UrlHelperTest::testExternalIsLocalInvalid function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests invalid URL arguments.
UrlHelperTest::testInvalidAbsolute function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests invalid absolute URLs.
UrlHelperTest::testInvalidRelative function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests invalid relative URLs.
UrlHelperTest::testUncompressInvalidString function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests passing an invalid string as a compressed query parameter.
UrlHelperTest::testValidAbsolute function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests valid absolute URLs.
UrlHelperTest::testValidRelative function core/tests/Drupal/Tests/Component/Utility/UrlHelperTest.php Tests valid relative URLs.
UrlTest::$pathValidator property core/tests/Drupal/Tests/Core/UrlTest.php The path validator.
UrlTest::providerFromInvalidInternalUri function core/tests/Drupal/Tests/Core/UrlTest.php Data provider for testFromInvalidInternalUri().
UrlTest::providerFromValidInternalUri function core/tests/Drupal/Tests/Core/UrlTest.php Data provider for testFromValidInternalUri().
UrlTest::setUpMockPathValidator function core/tests/Drupal/Tests/Core/UrlTest.php Reinitializes the path validator as a mock object.
UrlTest::testFromInvalidInternalUri function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with an invalid internal: URI.
UrlTest::testFromInvalidUserInput function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUserInput method with invalid paths.
UrlTest::testFromRoutedPathWithInvalidRoute function core/tests/Drupal/Tests/Core/UrlTest.php Tests fromUri() method with a user-entered path not matching any route.
UrlTest::testFromRoutedPathWithValidRoute function core/tests/Drupal/Tests/Core/UrlTest.php Tests fromUri() method with user-entered path matching a valid route.
UrlTest::testFromValidInternalUri function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with a valid internal: URI.
UrlTest::testInvalidEntityUriParameter function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with an invalid entity: URI.
UrlTest::testUrlFromRequestInvalid function core/tests/Drupal/Tests/Core/UrlTest.php Tests that an invalid request will thrown an exception.
user.name_validator service core/modules/user/user.services.yml Drupal\user\UserNameValidator
User::validateEntity function core/modules/user/src/Plugin/views/argument_validator/User.php
UserActionConfigSchemaTest::testValidUserActionConfigSchema function core/modules/user/tests/src/Kernel/UserActionConfigSchemaTest.php Tests whether the user action config schema are valid.
UserAuthenticationTest::testLookupAccountWithInvalidUsername function core/modules/user/tests/src/Unit/UserAuthenticationTest.php Tests lookupAccount() with an invalid username.
UserAuthenticationTest::testLookupAccountWithValidUsername function core/modules/user/tests/src/Unit/UserAuthenticationTest.php Tests lookupAccount() with a valid username.
UserCancelTest::testUserCancelInvalid function core/modules/user/tests/src/Functional/UserCancelTest.php Attempt invalid account cancellations.
UserConfigValidationTest class core/modules/user/tests/src/Kernel/UserConfigValidationTest.php Tests validating user modules' configuration.
UserConfigValidationTest.php file core/modules/user/tests/src/Kernel/UserConfigValidationTest.php
UserConfigValidationTest::$modules property core/modules/user/tests/src/Kernel/UserConfigValidationTest.php
UserConfigValidationTest::providerTestUserSettings function core/modules/user/tests/src/Kernel/UserConfigValidationTest.php Data provider for testUserSettings().
UserConfigValidationTest::setUp function core/modules/user/tests/src/Kernel/UserConfigValidationTest.php
UserConfigValidationTest::testUserSettings function core/modules/user/tests/src/Kernel/UserConfigValidationTest.php Tests invalid values in 'user.settings' config properties.
UserController::validatePathParameters function core/modules/user/src/Controller/UserController.php Validates hash and timestamp.
UserEditTest::testRolesValidation function core/modules/user/tests/src/Functional/UserEditTest.php Tests constraint violations are triggered on the user account form.
UserEntityTest::testUserValidation function core/modules/user/tests/src/Kernel/UserEntityTest.php Tests that all user fields validate properly.
UserLoginForm::validateAuthentication function core/modules/user/src/Form/UserLoginForm.php Checks supplied username/password against local users table.
UserLoginForm::validateFinal function core/modules/user/src/Form/UserLoginForm.php Checks if user was not authenticated, or if too many logins were attempted.
UserMailRequiredValidator class core/modules/user/src/Plugin/Validation/Constraint/UserMailRequiredValidator.php Checks if the user's email address is provided if required.
UserMailRequiredValidator.php file core/modules/user/src/Plugin/Validation/Constraint/UserMailRequiredValidator.php
UserMailRequiredValidator::validate function core/modules/user/src/Plugin/Validation/Constraint/UserMailRequiredValidator.php
UserMailRequiredValidatorTest class core/modules/user/tests/src/Unit/Plugin/Validation/Constraint/UserMailRequiredValidatorTest.php Tests Drupal\user\Plugin\Validation\Constraint\UserMailRequiredValidator.
UserMailRequiredValidatorTest.php file core/modules/user/tests/src/Unit/Plugin/Validation/Constraint/UserMailRequiredValidatorTest.php
UserMailRequiredValidatorTest::createValidator function core/modules/user/tests/src/Unit/Plugin/Validation/Constraint/UserMailRequiredValidatorTest.php Creates a validator instance.
UserMailRequiredValidatorTest::providerTestValidate function core/modules/user/tests/src/Unit/Plugin/Validation/Constraint/UserMailRequiredValidatorTest.php Data provider for ::testValidate().
UserMailRequiredValidatorTest::testValidate function core/modules/user/tests/src/Unit/Plugin/Validation/Constraint/UserMailRequiredValidatorTest.php Tests validate.
UserName::validateArgument function core/modules/user/src/Plugin/views/argument_validator/UserName.php
UserNameConstraintValidator class core/modules/user/src/Plugin/Validation/Constraint/UserNameConstraintValidator.php Validates the UserName constraint.
UserNameConstraintValidator.php file core/modules/user/src/Plugin/Validation/Constraint/UserNameConstraintValidator.php
UserNameConstraintValidator::validate function core/modules/user/src/Plugin/Validation/Constraint/UserNameConstraintValidator.php
UserNameValidator class core/modules/user/src/UserNameValidator.php Provides a username validator.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.